Welcome to the new FlexRadio Community! Please review the new Community Rules and other important new Community information on the Message Board.
If you are having a problem, please check the Help Center for known solutions.
Need technical support from FlexRadio? It's as simple as Creating a HelpDesk ticket.

SmartSDR for Windows v3.2.37 and v2.7.5 are Now Available

Tim - W4TME
Tim - W4TME Administrator, FlexRadio Employee admin
edited June 3 in Message Board

FlexRadio Systems announces the immediate availability of SmartSDR for Windows v3.2.37 and v2.7.5.

These versions of SmartSDR for Windows fix the SmartLink login issue.

SmartSDR for Windows 3.2.37 and v2.7.5 can be downloaded from the FlexRadio Systems website. SmartSDR for Windows v3.2.37 and v2.7.5 are HOTFIX releases containing software bug fixes for version v3 and v2 of SmartSDR for Windows Only (includes DAX and CAT), respectively.

Please download and review the SmartSDR v3.2.37 Release Notes or SmartSDR v2.7.5 Release Notes included with the release package before installing SmartSDR v3.2.37 or SmartSDR v2.7.5 on your FLEX-6000.

What is a Hotfix Release?: A hotfix is a software update designed to fix a bug or security hole in a program. Unlike typical version updates, hotfixes are urgently developed and released as soon as possible to limit the effects of the software issue. They are often released between incremental version updates.

IMPORTANT INFORMATION: SmartSDR for Windows v3.2.37 and v2.7.5 are Windows-only versions of SmartSDR and will not contain a software update for the Maestro and M Model radios. To provide a fix for the SmartLink login issue as quickly as possible, only SmartSDR for Windows is being released at this time. A future release of SmartSDR that contains the software fixes found in v3.2.37 and v2.7.5 will be forthcoming for the Maestro and M model radios. 

CAN I USE SmartSDR FOR WINDOWS v3.2.37 or v2.7.5 ON AN M Model RADIO?: The answer is “YES”, but you will NOT be able to operate the radio from the front panel until the next version of SmartSDR is released. If you operate the radio from the front panel, a radio firmware downgrade will occur to a previous version of SmartSDR that contains critical software defects. Downgrading the radio firmware to a version less than v3.2.37 or v2..7.5 is not recommended.

CAN I USE A MAESTRO TO CONNECT TO A RADIO THAT HAS BEEN UPGRADED TO SmartSDR v3.2.37 or v2.7.5?: The answer is “NO”. If you can only use a Maestro to connect to a FLEX-6000, we recommend that you DO NOT UPGRADE the radio firmware to v3.2.37 or v2.7.5 and wait until the next version of SmartSDR for Maestro is released.

CAN I USE SmartSDR for iOS AND SmartSDR for MacOS WITH PREVIOUS VERSIONS OF SmartSDR?: The answer is “YES”, but we always recommend that you upgrade the radio firmware to the latest version to ensure that you have the most current firmware bug fixes, new firmware features, and performance optimizations for the optimal user experience.

================================================================

WARNING FOR ALL USERS: SmartSDR v3.2.37 / v2.7.5 for Windows and all subsequent SmartSDR v3.x and 2.x versions require version 4.6.2 of the .NET Framework. The .NET Framework is an integral component of the Windows operating system that supports running applications on Windows. For Win10 users, the .NET update is already installed and should not require any actions to update the .NET Framework. For other versions of Windows, you may be prompted to upgrade the .NET Framework before you can use SmartSDR v3.2.37 or v2.7.5.

Please follow any prompts provided by your version of Windows for the installation of .NET v4.6.2. Also, a reboot of the PC may be required after upgrading the .NET Framework on your PC. Note that you may have to install Windows security updates as a prerequisite before installing .NET v4.6.2 and .NET 4.6.2 may not install on unsupported versions of Windows.

================================================================

AVAILABILITY OF OLDER VERSIONS OF SmartSDR: Starting with SmartSDR v3.2.37 and v2.7.5, SmartLink is no longer supported by previous versions of SmartSDR. All previous versions of SmartSDR for Windows, except for SmartSDR v2.4.10, including SmartSDR for the Maestro and the M models will no longer be available for use after the forthcoming release for the Maestro and M model radios. This will give you time to prepare for upgrading to the latest version of SmartSDR. It is highly recommended that you either plan or upgrade to the latest non-HOTFIX version of SmartSDR at your earliest convenience. This has ramifications for remote users since radio firmware updates are not supported over a SmartLink connection.

================================================================

WARNING FOR REMOTE USERS: Please see the WARNINGS and CAUTIONS below, specifically the one regarding the need to factory reset the radio after upgrading to SmartSDR v3.2.37 from v3.2.31. A factory reset cannot be performed remotely, so it is recommended that someone be on site with the radio when upgrading.

WARNING: Due to a software defect inadvertently introduced in SmartSDR v3.2.31, if upgrading from SmartSDR v3.2.31 it is STRONGLY recommended that you perform a factory reset of your FLEX-6000 after upgrading to SmartSDR v3.2.37.

Once the radio has been factory reset, DO NOT import any profiles created using SmartSDR v3.2.31. We recommend deleting any profiles exported using SmartSDR v3.2.31 to ensure that they are not utilized as profile backups. Importing profiles created with other versions of SmartSDR are acceptable. 

FLEXVSP NOTE: If upgrading from SmartSDR v3.1.12 (and below) or SmartSDR v2.6.2 (and below), this version of SmartSDR will update the FlexVSP driver. The SmartSDR installation software will automatically remove the previous FlexVSP driver and install the new one. Please reboot your PC when prompted at the end of the SmartSDR v3.2.37 installation process to ensure the FlexVSP driver is installed correctly. The new FlexVSP driver is not backward compatible with previous versions of SmartSDR CAT. An unhandled exception error will occur when using previous versions of SmartSDR with the new FlexVSP driver.

================================================================

Release Highlights for SmartSDR v3.2.37 / v2.7.5

Fixed SmartLink Login Issue: Due to a security update to Auth0, the software used to manage secure access for SmartLink, the .NET Framework used with previous versions of SmartSDR does not properly support the TLS v1.3 security update. This issue has been resolved. Starting with SmartSDR v3.2.37, all versions of SmartSDR will require version 4.6.3 of the .NET Framework (#J8420)

Fixed SmartLink Login Access for Users in China: The mechanism used to detect Internet access in the previous version of SmartSDR did not work properly for users in China. This issue has been fixed. (#J8419)

60m Access added to the IARU Region 3 TURF: Radios that use the IARU Region 3 TURF now have access to the 60m band. Please comply with the country’s approved band plan when operating 60m in IARU Region 3. (#J8417)

================================================================

The SmartSDR v3.2.37 / v2.7.5 Changelog:

#J8420 – Update .NET Framework to 4.6.2 to fully support TLS 1.3 for secure SmartLink connections

#J8417 - Changes to add 60m to IARU Region 3

JJ8419 - Fix SmartLink Internet detection to address Chinese users who were blocked from the service